de.vc.io

## Class PatternFilenameFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - de.vc.io.PatternFilenameFilter

- All Implemented Interfaces:
    java.io.FilenameFilter

      public class PatternFilenameFilter
      extends javax.swing.filechooser.FileFilter
      implements java.io.FilenameFilter

  Filename filter that filters using regular expressions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternFilenameFilter(java.lang.String pattern)`
    `PatternFilenameFilter(StringPattern pattern)`
    `PatternFilenameFilter(StringPattern pattern, java.lang.String description)`
    `PatternFilenameFilter(java.lang.String pattern, java.lang.String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)`
    `boolean` | `accept(java.io.File directory, java.lang.String name)`
    `java.lang.String` | `getDescription()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternFilenameFilter

          public PatternFilenameFilter(java.lang.String pattern)

    - #### PatternFilenameFilter

          public PatternFilenameFilter(java.lang.String pattern,
                               java.lang.String description)

    - #### PatternFilenameFilter

          public PatternFilenameFilter(StringPattern pattern)

    - #### PatternFilenameFilter

          public PatternFilenameFilter(StringPattern pattern,
                               java.lang.String description)

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File directory,
                       java.lang.String name)

      Specified by:
        `accept` in interface `java.io.FilenameFilter`

    - #### accept

          public boolean accept(java.io.File file)

      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.